package com.demo.mediator
{
	import com.demo.view.components.AddContactForm;
	import com.demo.view.components.ContactsList;
	
	import org.puremvc.as3.multicore.utilities.fabrication.patterns.mediator.FlexMediator;
	
	public class ApplicationMediator extends FlexMediator
	{
		public static const NAME:String = "ApplicationMediator";
		
		public function ApplicationMediator(viewComponent:Object=null)
		{
			super(NAME, viewComponent);
		}
		
		public function get addContactForm():AddContactForm {
			return viewComponent.addContactForm as AddContactForm; 
		}
		
		public function get contactList():ContactsList {
			return viewComponent.contactList as ContactsList;
		}
		
		override public function onRegister():void {
			
			registerMediator(new AddContactFormMediator(addContactForm));
			registerMediator(new ContactsListMediator(contactList));
			
		}
	}
}