/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.as3commons.lang {
	
	/**
	 * Interface to be implemented by all classes that want to provide cloning functionality.
	 *
	 * @author Christophe Herreman
	 */
	public interface ICloneable {
		
		/**
		 * Clones this object. Implementations should decide on a per class basis wether a deep or a shallow clone
		 * will be done.
		 *
		 * @return a new object which is a clone of this object
		 */
		function clone():*;
	
	}
}